#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 15. Networking Programs

- Prev

  ntp-4.2.8p18

- Next

  rsync-3.4.1

- Up
- Home

# rpcbind-1.2.7

## Introduction to rpcbind

The rpcbind program is a replacement for portmap. It is required for import or export of Network File System (NFS) shared directories.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/rpcbind/rpcbind-1.2.7.tar.bz2

- Download MD5 sum: acd444ed322eb458fbd395ec69c4e083

- Download size: 124 KB

- Estimated disk space required: 1.6 MB

- Estimated build time: less than 0.1 SBU

### rpcbind Dependencies

#### Required

libtirpc-1.3.6

## Installation of rpcbind

In order to get rpcbind to work properly, first fix the package to use correct service name:

    sed -i "/servname/s:rpcbind:sunrpc:" src/rpcbind.c

Install rpcbind by running the following commands:

    ./configure --prefix=/usr                                  \
                --bindir=/usr/sbin                             \
                --with-rpcuser=root                            \
                --enable-warmstarts                            \
                --without-systemdsystemunitdir                 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

--with-rpcuser=root: This works around an error in the configure script.

--without-systemdsystemunitdir: This version of BLFS does not support systemd.

## Configuring rpcbind

### Boot Script

Install the `/etc/rc.d/init.d/rpcbind` init script included in the blfs-bootscripts-20250225 package.

    make install-rpcbind

## Contents

Installed Program: rpcbind and rpcinfo
Installed Libraries: None
Installed Directories: None

### Short Descriptions

rpcbind | is a server that converts RPC program numbers into universal addresses. It must be running on the host to be able to make RPC calls on a server on that machine
rpcinfo | makes an RPC call to an RPC server and reports data according to the requested options

- Prev

  ntp-4.2.8p18

- Next

  rsync-3.4.1

- Up
- Home